:root {
  --datanoste-cream: #f5f5f5;
  --datanoste-grey: rgb(44, 44, 44);
  --datanoste-macchiato: #7d5e40;
  --datanoste-latte: #d2c5b5;
  --datanoste-americano: #463115;
  --datanoste-espresso: #36250f;
}

::selection {
  background: var(--datanoste-macchiato);
  color: #fff;
  text-shadow: none;
}

@font-face {
  font-family: 'Lato';
  src: url('../fonts/Lato-Regular.ttf') format('truetype');
  font-weight: normal;
  font-style: normal;
}

@font-face {
  font-family: 'LatoLight';
  src: url('../fonts/Lato-Light.ttf') format('truetype');
  font-weight: normal;
  font-style: normal;
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: 'Lato', sans-serif;
  font-size: 1.2rem;
}

body {
  line-height: 1.6;
  color: var(--datanoste-grey);
  background-color: var(--datanoste-cream);
}

header {
  display: flex;
  justify-content: center;
  flex: auto;
  flex-direction: column;
  align-items: center;
  padding: 12rem 0 16rem 0;
  background-image: url('../images/tausta.jpg');
  background-position-y: 22%;
  background-size: cover;
}

div.logo,.logo img {
    max-width: 850px;
    width: 75vw;
    padding-bottom: 5px;
}

.typing::after {
  content: "";
  animation: type-erase-cycle 15s steps(1) infinite;
  color: var(--datanoste-latte);
}

.typing {
  color: var(--datanoste-latte);
}

main {
  padding: 0 6rem;
  max-width: 1400px;
  margin: auto;
}

section {
  margin: 2rem 0;
}

hr {
    border: 0;
    margin: 2rem 0 0 0;
}

h1 {
  font-family: 'LatoLight', sans-serif;
  font-size: 1.5rem;
}

h2 {
  font-family: monospace;
  font-weight: 500;
  font-size: 1.45rem;
  color: var(--datanoste-macchiato);
}

h3 {
  font-family: 'Lato', sans-serif;
  color: var(--datanoste-macchiato);
  font-size: 1.3rem;
  font-weight: 800;
}

p {
  margin-bottom: 1rem;
}

.list {
  margin-bottom: unset;
}

ul {
  margin: 0 0 1rem 0.7rem;
}

li::marker {
  content: ">";
  color: var(--datanoste-espresso)
}

li {
  padding-left: 1rem;
}

.indent {
  margin-top: 2rem;
  padding: 1rem;
  border-color: var(--datanoste-latte);
  border-width: 0.3rem;
  border-style: none none none solid;
  background-color: rgb(235, 235, 235);
}

.mono {
  font-family: monospace;
  font-weight: 300;
  font-size: 1rem
}


footer {
  text-align: center;
  padding: 3rem 0 1rem 0;
  margin: 11rem 0 3rem 0;
}

footer p {
  margin:0.5rem;
  font-size: 1rem;
}

footer ul {
  list-style: none;
  display: flex;
  flex-direction: row;
  justify-content: center;
  text-align: center;
  gap: 1rem;
  text-indent: unset;
}

footer li::marker {
  content: unset;
}

footer a {
  text-decoration: none;
  font-size: 1rem;
  color: var(--datanoste-grey)
}

footer img {
  width: 60px;
  margin: 0.5em 0;
}

@media (max-width:900px) {
  * {
    font-size: 1.1rem;
  }
  
  main {
    max-width: 90vw;
    padding: 0 1rem;
  }

  h2, .typing, .typing::after {
    font-size: 0.8rem;
  }

  p.indent {
    font-size: 0.85rem;
  }

  div.logo,.logo img {
    padding-bottom: 0px;
  }

  footer {
    text-align: center;
    margin: 6rem 0 3rem 0;
  }
}
